CREATE TABLE loy_program_int (
    LOY_PROGRAM_INT_ID         NUMBER(18, 0) ,
    FILE_RECORD_NUM            NUMBER(18, 0) ,
    FILE_NAME_SYSTASK_ID       NUMBER(18, 0) ,
    LOY_RDM_PROD_ID            NUMBER(18, 0) ,
    LOY_PTSUBTYPE_ID           NUMBER(18, 0) ,
    LOY_PRG_FRML_ID            NUMBER(18, 0) ,
    BATCH_ID                   NUMBER(18, 0) ,
    IMPORT_STATUS_CODE         VARCHAR2(120) ,
    INTERFACE_ROW_ID           NUMBER(18, 0) ,
    ACTION_CODE                VARCHAR2(120) ,
    INTERNAL_ACTION_CODE       VARCHAR2(120) ,
    INTERNAL_PROGRAM_OVN       NUMBER(9, 0)  ,
    REQUEST_ID                 NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256) ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    LOY_PROGRAM_ID             NUMBER(18, 0) ,
    PROGRAM_NAME               VARCHAR2(200) ,
    BU_ID                      NUMBER(18, 0) ,
    ACTIVE_FLAG                VARCHAR2(4)   ,
    PARTNER_FLAG               VARCHAR2(4)   ,
    END_DT                     TIMESTAMP(6)  ,
    START_DT                   TIMESTAMP(6)  ,
    APPLY_CODE                 VARCHAR2(120) ,
    HOST_ORG_ID                NUMBER(18, 0) ,
    MEMBER_COUNT               NUMBER(22, 7) ,
    MEMBER_SHARED              NUMBER(22, 7) ,
    DESC_TEXT                  VARCHAR2(1000),
    POINT_EXP_LEVEL_CODE       VARCHAR2(120) ,
    PUR_STRT_MTH_CODE          VARCHAR2(120) ,
    PUR_STRT_DAY_CODE          VARCHAR2(120) ,
    TXFR_STRT_MTH_CODE         VARCHAR2(120) ,
    TXFR_STRT_DAY_CODE         VARCHAR2(120) ,
    PNT_TO_PAY_FLAG            VARCHAR2(4)   ,
    REVRECG_PERIOD_DUR         NUMBER(22, 7) ,
    BAT_RDM_PERD_TP_CODE       VARCHAR2(120) ,
    BAT_RDM_PERD_DURTN         NUMBER(22, 0) ,
    THRSHLD_POINT_VAL          NUMBER(22, 0) ,
    POINT_TYPE_ID              NUMBER(18, 0) ,
    REVRECG_PRD_TYP_CODE       VARCHAR2(120) ,
    DELETED_FLAG               VARCHAR2(16)  ,
    ENROL_BONUS_FLAG           VARCHAR2(4)   ,
    REFER_BONUS_FLAG           VARCHAR2(4)   ,
    PRIMARY_POINT_TP_ID        NUMBER(18, 0) ,
    LEGAL_ENTITY               VARCHAR2(120) ,
    PRG_FRML_DESC_TEXT         VARCHAR2(4000),
    FRML_EXPR                  CLOB          ,
    FRML_TEXT                  CLOB          ,
    FRML_NAME                  VARCHAR2(200) ,
    PROGRAM_ID                 NUMBER(18, 0) ,
    VALID_FLAG                 VARCHAR2(4)   ,
    DEFAULT_FLAG               VARCHAR2(4)   ,
    LOY_PTSUBTYPE_DESC_TEXT    VARCHAR2(400) ,
    NAME                       VARCHAR2(200) ,
    PROD_ID                    NUMBER(18, 0) ,
    PARTNR_ID                  NUMBER(18, 0) ,
    PROG_POINT_TYPE_ID         NUMBER(18, 0) ,
    PROD_REDEMPTION_POINT      NUMBER(9, 0)  ,
    PROD_REDEMP_START_DT       DATE          ,
    PROD_REDEMP_END_DT         DATE          ,
    OFFER_TYPE_CODE            VARCHAR2(120) ,
    INV_ORG_ID                 NUMBER(18, 0) ,
    LOY_PROGRAM_INT_ID         NUMBER(18, 0) ,
    FILE_RECORD_NUM            NUMBER(18, 0) ,
    FILE_NAME_SYSTASK_ID       NUMBER(18, 0) ,
    LOY_RDM_PROD_ID            NUMBER(18, 0) ,
    LOY_PTSUBTYPE_ID           NUMBER(18, 0) ,
    LOY_PRG_FRML_ID            NUMBER(18, 0) ,
    BATCH_ID                   NUMBER(18, 0) ,
    IMPORT_STATUS_CODE         VARCHAR2(120) ,
    INTERFACE_ROW_ID           NUMBER(18, 0) ,
    ACTION_CODE                VARCHAR2(120) ,
    INTERNAL_ACTION_CODE       VARCHAR2(120) ,
    INTERNAL_PROGRAM_OVN       NUMBER(9, 0)  ,
    REQUEST_ID                 NUMBER(18, 0) ,
    CREATED_BY                 VARCHAR2(256) ,
    LAST_UPDATED_BY            VARCHAR2(256) ,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CREATION_DATE              TIMESTAMP(6)  ,
    LAST_UPDATE_DATE           TIMESTAMP(6)  ,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)      NOT NULL,
    LOY_PROGRAM_ID             NUMBER(18, 0) ,
    PROGRAM_NAME               VARCHAR2(200) ,
    BU_ID                      NUMBER(18, 0) ,
    ACTIVE_FLAG                VARCHAR2(4)   ,
    PARTNER_FLAG               VARCHAR2(4)   ,
    END_DT                     TIMESTAMP(6)  ,
    START_DT                   TIMESTAMP(6)  ,
    APPLY_CODE                 VARCHAR2(120) ,
    HOST_ORG_ID                NUMBER(18, 0) ,
    MEMBER_COUNT               NUMBER(22, 7) ,
    MEMBER_SHARED              NUMBER(22, 7) ,
    DESC_TEXT                  VARCHAR2(1000),
    POINT_EXP_LEVEL_CODE       VARCHAR2(120) ,
    PUR_STRT_MTH_CODE          VARCHAR2(120) ,
    PUR_STRT_DAY_CODE          VARCHAR2(120) ,
    TXFR_STRT_MTH_CODE         VARCHAR2(120) ,
    TXFR_STRT_DAY_CODE         VARCHAR2(120) ,
    PNT_TO_PAY_FLAG            VARCHAR2(4)   ,
    REVRECG_PERIOD_DUR         NUMBER(22, 7) ,
    BAT_RDM_PERD_TP_CODE       VARCHAR2(120) ,
    BAT_RDM_PERD_DURTN         NUMBER(22, 0) ,
    THRSHLD_POINT_VAL          NUMBER(22, 0) ,
    POINT_TYPE_ID              NUMBER(18, 0) ,
    REVRECG_PRD_TYP_CODE       VARCHAR2(120) ,
    DELETED_FLAG               VARCHAR2(16)  ,
    ENROL_BONUS_FLAG           VARCHAR2(4)   ,
    REFER_BONUS_FLAG           VARCHAR2(4)   ,
    PRIMARY_POINT_TP_ID        NUMBER(18, 0) ,
    LEGAL_ENTITY               VARCHAR2(120) ,
    PRG_FRML_DESC_TEXT         VARCHAR2(4000),
    FRML_EXPR                  CLOB          ,
    FRML_TEXT                  CLOB          ,
    FRML_NAME                  VARCHAR2(200) ,
    PROGRAM_ID                 NUMBER(18, 0) ,
    VALID_FLAG                 VARCHAR2(4)   ,
    DEFAULT_FLAG               VARCHAR2(4)   ,
    LOY_PTSUBTYPE_DESC_TEXT    VARCHAR2(400) ,
    NAME                       VARCHAR2(200) ,
    PROD_ID                    NUMBER(18, 0) ,
    PARTNR_ID                  NUMBER(18, 0) ,
    PROG_POINT_TYPE_ID         NUMBER(18, 0) ,
    PROD_REDEMPTION_POINT      NUMBER(9, 0)  ,
    PROD_REDEMP_START_DT       DATE          ,
    PROD_REDEMP_END_DT         DATE          ,
    OFFER_TYPE_CODE            VARCHAR2(120) ,
    INV_ORG_ID                 NUMBER(18, 0) ,
    CONSTRAINT pk_loy_program_int PRIMARY KEY (BATCH_ID, INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID)
);
